#include "asm86.h"
#include "ti86asm.inc"

.org _asm_exec_ram
 nop
 jp ContinuePrg
.dw 0
.dw Shell_Title

Shell_Title:
.db " Seven Important Gaslaws ",0

BigT:
 ld (_curRow),bc
 jp _puts

SmallT:
 ld (_penCol),bc
 jp _vputs
 
Title:
 call _clrScrn
 set textInverse,(iy+textflags)
 ld hl,Shell_Title
 ld bc,$0000
 call SmallT
 ld hl,MainMenu
 ld bc,$0600
 call SmallT
 res textInverse,(iy+textflags)
 ret
 
DrawMenu:
 ld bc,$1200
 call SmallT
 ld bc,$1800
 call SmallT
 ld bc,$1E00
 call SmallT
 ld bc,$2400
 call SmallT
 ld bc,$2A00
 call SmallT
 ld hl,ExitT
 ld bc,$3000
 jp SmallT
 
ContinuePrg:
 call _runindicoff      ;turns the annoying run indicator off
 call Title
 call DrawMenu
Keys1:
 call _getky
 cp K_F5
 jp z,Menu2
 cp K_EXIT
 jp z,Exit
 cp K_F1
 jp z,Boyle
 cp K_F2
 jp z,Charles
 cp K_F3
 jp z,Gay_Lussac
 cp K_F4
 jp z,Dalton
 jr Keys1

Menu2:
 call Title
 ld hl,Menu_2
 call DrawMenu
Keys2:
 call _getky
 cp K_F4
 jp z,ContinuePrg
 cp K_EXIT
 jp z,Exit
 cp K_F5
 jp z,Exit
 cp K_F1
 jp z,Combined
 cp K_F2
 jp z,Ideal
 cp K_F3
 jp z,Graham
 jr Keys2
 
Boyle:
 call _clrScrn
 ld hl,BoyleT
 jr ThreeLine
 
Charles:
 call _clrScrn
 ld hl,CharlesT
 jr ThreeLine
 
Gay_Lussac:
 call _clrScrn
 ld hl,GayT
 jr ThreeLine
 
Dalton:
 call _clrScrn
 ld hl,DaltonT
ThreeLine:
 ld bc,$0000
 call SmallT
 ld bc,$0C00
 call SmallT
 ld bc,$1600
 call SmallT
 ld bc,$1D00
 call SmallT
 ld bc,$2400
 call SmallT
 call _getkey
 jp ContinuePrg
 
Combined:
 call _clrScrn
 ld hl,CombinedT
 jr FiveLine

Ideal:
 call _clrScrn
 ld hl,IdealT
 ld bc,$000
 call SmallT
 ld bc,$0C00
 call SmallT
 ld bc,$1200
 call SmallT
 ld bc,$1800
 call SmallT
 ld bc,$1E00
 call SmallT
 ld bc,$2A00
 call SmallT
 ld bc,$3000
 call SmallT
 ld bc,$3600
 call SmallT
 call _getkey
 jp Menu2
 
Graham:
 call _clrScrn
 ld hl,GrahamT
FiveLine:
 ld bc,$000
 call SmallT
 ld bc,$0C00
 call SmallT
 ld bc,$1200
 call SmallT
 ld bc,$1800
 call SmallT
 ld bc,$1E00
 call SmallT
 ld bc,$2400
 call SmallT
 ld bc,$3000
 call SmallT
 call _getkey
 jp Menu2
 
Exit:
 call _clrScrn
 jp _homeup
 
MainMenu:
.db " Really Bored Productions ",0
.db "F1 Boyle",0
.db "F2 Charles",0
.db "F3 Gay-Lussac",0
.db "F4 Dalton",0
.db "F5 More",0

ExitT:
.db "EXIT or Quit",0

Menu_2:
.db "F1 Combined",0
.db "F2 Ideal",0
.db "F3 Graham",0
.db "F4 Back",0
.db "F5 Exit",0

BoyleT:
.db "Boyle's Law:",0
.db "The pressure (P1) times the volume",0
.db "(V1) of object 1 equals the pressure",0
.db "(P2) times the volume (V2) of object 2.",0
.db "Equation: (P1*V1)=(P2*V2)",0

CharlesT:
.db "Charles' Law:",0
.db "The volume (V1) divided by the temp",0
.db "(T1) of object 1 equals the volume (V2)",0
.db "divided by the temp (T2) of object 2.",0
.db "Equation: (V1/T1)=(V2/T2)",0

GayT:
.db "Gay-Lussac's Law:",0
.db "The pressure (P1) divided by the temp",0
.db "(T1) of object 1 is the pressure (P2)",0
.db "divided by the temp (T2) of object 2.",0
.db "Equation: (P1/T1)=(P2/T2)",0

DaltonT:
.db "Dalton's Law:",0
.db "The total pressure (Pt) equals the",0
.db "combined pressures of all the gases",0
.db "being used.",0
.db "Equation: Pt=P1+P2+P3...",0

CombinedT:
.db "Combined Law:",0
.db "The pressure (P1) times the volume",0
.db "(V1) divided by the temp (T1) of object",0
.db "1 equals the pressure (P2) times the",0
.db "volume (V2) divided by the temp (T2) of",0
.db "object 2.",0
.db "Equation: (P1*V1)/T1=(P2*V2)/T2",0

IdealT:
.db "Ideal Law:",0
.db "The pressure (P) times the volume (V)",0
.db "equals the number of moles (n) times",0
.db "the universal gas constant (R) times",0
.db "the temp (T).",0
.db "Equation: (P*V)=(n*R*T)",0
.db "R=8.314 J/mole-K = 1.987 cal/mole-K",0
.db "=.08206 l-atm/mole-K",0

GrahamT:
.db "Graham's Law:",0
.db "The square root of the mass (M2) of",0
.db "object 2 divided by the mass (M1) of",0
.db "object 1 equals the square root of the",0
.db "density (D2) of object 2 divided by the",0
.db "density (D1) of object 1.",0
.db "Equation: (M1/M2)^.5=(D2/D1)^.5",0

.end
